Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.GetBoth Method (DatabaseEntry, DatabaseEntry, Transaction, LockingInfo)
BaseDatabase Class See Also Send Feedback

Retrieve a key/data pair from the database which matches key and data.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public KeyValuePair<DatabaseEntry, DatabaseEntry> GetBoth(
    	DatabaseEntry key,
    	DatabaseEntry data,
    	Transaction txn,
    	LockingInfo info
    )

Visual Basic (Declaration)
    Public Function GetBoth ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry, _
    	txn As Transaction, _
    	info As LockingInfo _
    ) As KeyValuePair(Of DatabaseEntry, DatabaseEntry)

Visual C++
    public:
    KeyValuePair<DatabaseEntry^, DatabaseEntry^> GetBoth(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data,
    	Transaction^ txn,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data to search for

txn
  Type: BerkeleyDB..::.Transaction
  txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is key and whose Value parameter is data.

# Remarks

If txn is null and the operation occurs in a transactional database, the operation is implicitly transaction protected.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key and data are not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

BaseDatabase Class
GetBoth Overload
BerkeleyDB Namespace